apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
   name: allow-all-egress-to-kube-dns-and-cilium
spec:
  endpointSelector: {}
  egress:
  - toEndpoints:
    - matchLabels:
       "k8s:io.kubernetes.pod.namespace": kube-system
       "k8s:k8s-app": kube-dns
    toPorts:
      - ports:
         - port: "53"
           protocol: ANY
        rules:
          dns:
            - matchPattern: "*"
  - toFQDNs:
      - matchName: "cilium.io"
      - matchName: "sub.cilium.io"
      - matchPattern: "*.sub.cilium.io"
# ---
# apiVersion: networking.k8s.io/v1
# kind: NetworkPolicy
# metadata:
#   name: allow-all-within-namespace
# spec:
#   podSelector: {}
#   policyTypes:
#   - Ingress
#   - Egress
#   ingress:
#   - from:
#     - podSelector: {}
#   egress:
#   - to:
#     - podSelector: {}
# ---
# apiVersion: networking.k8s.io/v1
# kind: NetworkPolicy
# metadata:
#   name: allow-ingress-nginx-ingress
# spec:
#   podSelector: {}
#   policyTypes:
#   - Ingress
#   ingress:
#   - from:
#     - namespaceSelector:
#         matchLabels:
#           kubernetes.io/metadata.name: ingress-nginx
#       podSelector:
#         matchLabels:
#           2tefan.eu/name: ingress-controller
#           2tefan.eu/stage: prod
#           app.kubernetes.io/name: ingress-nginx
#           app.kubernetes.io/component: controller
---
apiVersion: "cilium.io/v2"
kind: CiliumNetworkPolicy
metadata:
  name: allow-egress-to-kube-api-host # Needed to talk to kube-api
spec:
  endpointSelector: {}
  egress:
    - toEntities:
      - host
---
apiVersion: "cilium.io/v2"
kind: CiliumNetworkPolicy
metadata:
  name: allow-egress-to-pihole
spec:
  endpointSelector:
    matchLabels:
      "k8s:2tefan.eu/name": "external-dns"
      "k8s:2tefan.eu/stage": "prod"
      "k8s:app.kubernetes.io/name": "external-dns"
  egress:
  - toCIDR:
    - 172.19.1.2/32
    - 192.168.10.2/32
    toPorts:
      - ports:
         - port: "443"
           protocol: TCP
         - port: "8080"
           protocol: TCP

